# umask extension for mercurial

import os
import sys
import mercurial.util

def reposetup(ui, repo):
    orig_umask = os.umask(0)
    config_umask = ui.config("ui", "umask", orig_umask)
    os.umask(int(config_umask))
    try:
        mercurial.util._umask = config_umask
    except:
        pass
    ui.write('orig_umask=', orig_umask, ' config_umask=', config_umask, '\n')
